LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
cvirtual.h File Reference

Go to the source code of this file.

## Functions
void | create_frame_index (int fileno, boolean init, int start_offset, int nframes)
boolean | save_frame_index (int fileno)
boolean | load_frame_index (int fileno) WARN_UNUSED
boolean | check_clip_integrity (int fileno, const lives_clip_data_t *cdata)
boolean | virtual_to_images (int sfileno, int sframe, int eframe, boolean update_progress, LiVESPixbuf **pbr) WARN_UNUSED
void | delete_frames_from_virtual (int sfileno, int start, int end)
void | insert_images_in_virtual (int sfileno, int where, int frames, int *frame_index, int start)
void | del_frame_index (lives_clip_t *sfile)
void | reverse_frame_index (int sfileno)
void | clean_images_from_virtual (lives_clip_t *sfile, int oldframes)
int * | frame_index_copy (int *findex, int nframes, int offset)
boolean | check_if_non_virtual (int fileno, int start, int end)
void | restore_frame_index_back (int sfileno)
boolean | is_virtual_frame (int sfileno, int frame)
int | count_virtual_frames (int *findex, int start, int end)

## Function Documentation

boolean check_clip_integrity | ( | int | fileno,
|  | const lives_clip_data_t * | cdata
| ) |  |

boolean check_if_non_virtual | ( | int | fileno,
|  | int | start,
|  | int | end
| ) |  |

void clean_images_from_virtual | ( | lives_clip_t * | sfile,
|  | int | oldframes
| ) |  |

int count_virtual_frames | ( | int * | findex,
|  | int | start,
|  | int | end
| ) |  |

count virtual frames between start and end (inclusive)

void create_frame_index | ( | int | fileno,
|  | boolean | init,
|  | int | start_offset,
|  | int | nframes
| ) |  |

void del_frame_index | ( | lives_clip_t * | sfile | ) |

void delete_frames_from_virtual | ( | int | sfileno,
|  | int | start,
|  | int | end
| ) |  |

int* frame_index_copy | ( | int * | findex,
|  | int | nframes,
|  | int | offset
| ) |  |

void insert_images_in_virtual | ( | int | sfileno,
|  | int | where,
|  | int | frames,
|  | int * | frame_index,
|  | int | start
| ) |  |

boolean is_virtual_frame | ( | int | sfileno,
|  | int | frame
| ) |  |

boolean load_frame_index | ( | int | fileno | ) |

void restore_frame_index_back | ( | int | sfileno | ) |

void reverse_frame_index | ( | int | sfileno | ) |

boolean save_frame_index | ( | int | fileno | ) |

boolean virtual_to_images | ( | int | sfileno,
|  | int | sframe,
|  | int | eframe,
|  | boolean | update_progress,
|  | LiVESPixbuf ** | pbr
| ) |  |